Loading...
Searching...
No Matches
gtsam::SmartProjectionParams Struct Reference

## Public Member Functions

| SmartProjectionParams (LinearizationMode linMode=HESSIAN, DegeneracyMode degMode=IGNORE_DEGENERACY, bool throwCheirality=false, bool verboseCheirality=false, double retriangulationTh=1e-5)
void | print (const std::string &str="") const
LinearizationMode | getLinearizationMode () const
DegeneracyMode | getDegeneracyMode () const
TriangulationParameters | getTriangulationParameters () const
bool | getVerboseCheirality () const
bool | getThrowCheirality () const
double | getRetriangulationThreshold () const
void | setLinearizationMode (LinearizationMode linMode)
void | setDegeneracyMode (DegeneracyMode degMode)
void | setRetriangulationThreshold (double retriangulationTh)
void | setRankTolerance (double rankTol)
void | setEnableEPI (bool enableEPI)
void | setLandmarkDistanceThreshold (double landmarkDistanceThreshold)
void | setDynamicOutlierRejectionThreshold (double dynOutRejectionThreshold)

## Public Attributes

LinearizationMode | linearizationMode
| How to linearize the factor.
DegeneracyMode | degeneracyMode
| How to linearize the factor.
Parameters governing the triangulation
TriangulationParameters | triangulation
double | retriangulationThreshold
| threshold to decide whether to re-triangulate
Parameters governing how triangulation result is treated
bool | throwCheirality
| If true, re-throws Cheirality exceptions (default: false).
bool | verboseCheirality
| If true, prints text for Cheirality exceptions (default: false).

## Friends

class | boost::serialization::access
| Serialization function.

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/slam/SmartFactorParams.h